Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Failure on 'gmake install', the MLSTATELIBS is not defined. #81

Closed
jlmess77 opened this Issue · 1 comment

2 participants

@jlmess77

Probably first one that I am not able to create a patch for it. :-) I got a bit lost after trying read in so many files for trying to figure which part that I need to add the MLSTATELIBS in the installation stage. Anyway, here's error log of 'gmake install' on FreeBSD:

[...]
Installing into /usr/local/lib/opa/stdlib/stdlib.qmljs/stdlib.widgets.textarea.oInstalling into /usr/local/lib/opa/stdlib/stdlib.qmljs/stdlib.widgets.texttrimmeInstallation to /usr/local/lib/opa/stdlib/stdlib.qmljs done.
Installation to /usr/local/share/man done.
_build/myocamlbuild -no-plugin -j 6 -tag debug tools/opa-create/src/opa-create.exe
+ /home/mezz/opa_v2988/_build/compiler/opa/main.native -o tools/opa-create/src/opa-create.exe tools/opa-create/src/opa-create.opa --opx-dir stdlib.qmljs --no-server -I lib/plugins
error: the env var "MLSTATELIBS" is not defined
Command exited with code 2.
Compilation unsuccessful after building 1 target (0 cached) in 00:00:02.
gmake: *** [opa-create] Error 10
*** Error code 2

In the _build/_log shows:

### Starting build.
# Target: /home/mezz/opa_v2988/_build/compiler/opa/main.native -o tools/opa-create/src/opa-create.exe tools/opa-create/src/opa-create.opa --opx-dir stdlib.qmljs --no-server -I lib/plugins, tags: {  }
/home/mezz/opa_v2988/_build/compiler/opa/main.native -o tools/opa-create/src/opa-create.exe tools/opa-create/src/opa-create.opa --opx-dir stdlib.qmljs --no-server -I lib/plugins
+ /home/mezz/opa_v2988/_build/compiler/opa/main.native -o tools/opa-create/src/opa-create.exe tools/opa-create/src/opa-create.opa --opx-dir stdlib.qmljs --no-server -I lib/plugins
error: the env var "MLSTATELIBS" is not defined
Command exited with code 2.
# Compilation unsuccessful.

I am able to solve this issue without patch by following ran this command, 'env MLSTATELIBS="/home/mezz/opa_v2988/_build" gmake install'.

@cedricss

Thanks for the report! The fix is available starting from build 3069.

@cedricss cedricss closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.